#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( metakit )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/akregator/src
  ${CMAKE_SOURCE_DIR}/akregator/src/mk4storage/metakit/include
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE akregator_mk4storage_plugin.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR akregator-desktops
)

install( FILES mk4config.kcfg DESTINATION ${KCFG_INSTALL_DIR} )


##### libakregator_mk4storage_plugin (module)  ##

tde_add_kpart( libakregator_mk4storage_plugin AUTOMOC
  SOURCES
    feedstoragemk4impl.cpp mk4plugin.cpp storagemk4impl.cpp
    storagefactorymk4impl.cpp
  LINK
    rsslocal-static metakitlocal-static
    akregatorprivate-shared tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
